Real-Time Kline
Complete K-line data for all futures contracts, covering China's four major futures exchanges and mainstream international futures markets, including commodity futures, financial futures and various types. Includes complete indicators such as opening price, highest price, lowest price, closing price, trading volume and open interest, supporting multi-period queries from minute lines to monthly lines. Data is adjusted for continuity.
/future/klineRequest Parameters
regionenumRequiredMarket code
codestringRequiredProduct code
kTypeenumRequiredInterval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month
etstringWhen the query end timestamp (e.g., 1751328000000) is empty, it defaults to the current timestamp.
limitstringRequiredNumber of records to query
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
tunumberTransaction amount
cnumberClosing price of the Kline
tnumberTimestamp
vnumberTransaction volume
hnumberHighest price of the Kline
lnumberLowest price of the Kline
onumberOpening price of the Kline
Code Examples
import requests
url = "https://api.itick.org/future/kline?region=US&code=NQ&kType=2&limit=10"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/future/kline?region=US&code=NQ&kType=2&limit=10, Run query
Response Result
{
"code": 0,
"msg": null,
"data": [
{
"tu": 31835798.75,
"c": 23535,
"t": 1754656800000, // 2025-08-08 12:40:00 UTC
"v": 1353,
"h": 23539.25,
"l": 23518.5,
"o": 23527.5
}
]
}